Subject: Re: [PATCH] - in.h - IP4_ADDR

From: Joe Perches <[email-masked]>
Date: Mon, 12 Nov 2007 21:39:37 -0800

On Mon, 2007-11-12 at 21:28 -0800, David Miller wrote:
> I have no problems with this, but I'd like to add it along
> with subsequent patches that use the new routines and
> also I'd like to defer this to net-2.6.25 so please resubmit
> this later.

I've since changed the functions in my tree to:

	static inline bool is_ip4_foo(__be32 addr)

and added

	# define FOO(x) is_ip4_foo(x)

which I think makes more sense and allows macro
removal when all current uses are converted.

When you open net-2.6.25, I'll resubmit it.